{% extends 'base.html.twig' %}

{% block title %}dash{% endblock %}

{% block body %}
<div class="row">
    <div class="col-md-6 col-xxl-12 mb-3 pr-md-2">
        <div class="card card-body text-center">
            <h4 class="card-title mt-0">إنشاء ملف جديد</h4>

            <a href="{{path('dossier_new')}}" class="btn btn-warning waves-effect waves-light">إظغط هنا</a>
        </div>
    </div>

    <div class="col-md-6 col-xxl-12 mb-3 pr-md-2">
        <div class="card card-body text-center">
            <h4 class="card-title mt-0">لائحة الملفات</h4>

            <a href="{{path('dossier_index')}}" class="btn btn-primary waves-effect waves-light">إظغط هنا</a>
        </div>
    </div>
</div>

    <div class="row">
        <div class="col-md-4 col-xxl-12 mb-3 pr-md-2">
            <div class="card">
                <div class="card-body">
                    <div>
                        <h4 class="mb-1 mt-1"><span data-plugin="counterup">{{ Totaldossiers }}</span></h4>
                        <p class="text-muted mb-0">مجموع العائلات </p>
                    </div>

                </div>
            </div>
        </div>
        <div class="col-md-4 col-xxl-12 mb-3 pr-md-2">
            <div class="card">
                <div class="card-body">
                    <div>
                        <h4 class="mb-1 mt-1"><span data-plugin="counterup">{{ TotaldossierIsValid }}</span></h4>
                        <p class="text-muted mb-0">عدد العائلات المكفولة </p>
                    </div>

                </div>
            </div>
        </div>
        <div class="col-md-4 col-xxl-12 mb-3 pr-md-2">
            <div class="card">
                <div class="card-body">
                    <div>
                        <h4 class="mb-1 mt-1"><span data-plugin="counterup">{{ TotaldossierNoValid }}</span></h4>
                        <p class="text-muted mb-0">عدد العائلات الموسمية </p>
                    </div>

                </div>
            </div>
        </div>

    </div>


    <div class="row">
        <div class="col-md-6 col-xxl-12 mb-3 pr-md-2">
            <div class="card">
                <div class="card-body">
                    <div>
                        <h4 class="mb-1 mt-1"><span data-plugin="counterup">{{ totalScolaireValid }}</span></h4>
                        <p class="text-muted mb-0">الايتام المتمدرسون </p>
                    </div>

                </div>
            </div>
        </div>
        <div class="col-md-6 col-xxl-12 mb-3 pr-md-2">
            <div class="card">
                <div class="card-body">
                    <div>
                        <h4 class="mb-1 mt-1"><span data-plugin="counterup">{{ totalScolaireNoValid }}</span></h4>
                        <p class="text-muted mb-0">الايتام الغير متمدرسون </p>
                    </div>

                </div>
            </div>
        </div>

    </div>

    <div class="row g-0">
        <div class="col-md-6 col-xxl-12 mb-3 pr-md-2">
            <div class="card h-md-100">
                <div class="card-body align-items-end">
                    <figure class="highcharts-figure">
                        <div id="dossierV"></div>
                    </figure>

                </div>
            </div>
        </div>
        <div class="col-md-6 col-xxl-12 mb-3 pr-md-2">
            <div class="card h-md-100">
                <div class="card-body align-items-end">
                    <figure class="highcharts-figure">
                        <div id="orph"></div>
                    </figure>

                </div>
            </div>
        </div>

    </div>





    <script>
        var pieColors = (function () {
            var colors = [],
                base = Highcharts.getOptions().colors[0],
                i;

            for (i = 5; i < 15; i += 1) {
                // Start out with a darkened base color (negative brighten), and end
                // up with a much brighter color
                colors.push(Highcharts.color(base).brighten((i - 6) / 7).get());
            }
            return colors;
        }());


        Highcharts.chart('dossierV', {
            chart: {
                plotBackgroundColor: null,
                plotBorderWidth: null,
                plotShadow: false,
                type: 'pie'
            },
            title: {
                text: 'بيانات العائلات'
            },
            tooltip: {
                pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
            },
            accessibility: {
                point: {
                    valueSuffix: '%'
                }
            },
            plotOptions: {
                pie: {
                    allowPointSelect: true,
                    cursor: 'pointer',
                    dataLabels: {
                        enabled: false
                    },
                    showInLegend: true
                }
            },
            series: [{
                name: 'العائلات ',
                colorByPoint: true,
                data: [{
                    name: 'العائلات الموسمية',
                    y: {{ TotaldossierIsValid }},
                    sliced: true,
                    selected: true
                }, {
                    name: 'عائلات في الانتظار ',
                    y: {{ TotaldossierNoValid }}
                }
                ]
            }]
        });


       Highcharts.chart('orph', {
           chart: {
               plotBackgroundColor: null,
               plotBorderWidth: null,

               plotShadow: false,
               type: 'pie'
           },

           title: {
               text: 'بيانات الايتام'
           },
           tooltip: {
               pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
           },
           accessibility: {
               point: {
                   valueSuffix: '%'
               }
           },
           plotOptions: {
               pie: {
                   allowPointSelect: true,
                   cursor: 'pointer',
                   colors: pieColors,
                   dataLabels: {
                       enabled: false
                   },
                   showInLegend: true
               }
           },
           series: [{
               name: 'الايتام ',
               colorByPoint: true,
               data: [{
                   name: 'الايتام المتمدرسون',
                   y: {{ totalScolaireValid }},
                   sliced: true,
                   selected: true
               }, {
                   name: 'الايتام الغير متمدرسون',
                   y: {{ totalScolaireNoValid }}
               }
               ]
           }]
       });



    </script>

{% endblock %}
